Loading...
Searching...
No Matches
XrdSsiMutexMon Class Reference

`#include <XrdSsiAtomics.hh>`

Collaboration diagram for XrdSsiMutexMon:

## Public Member Functions

| XrdSsiMutexMon (XrdSsiMutex &mutex)
| XrdSsiMutexMon (XrdSsiMutex *mutex=0)
| ~XrdSsiMutexMon ()
void | Lock (XrdSsiMutex &mutex)
void | Lock (XrdSsiMutex *mutex)
void | Reset ()
void | UnLock ()

## Detailed Description

Definition at line 148 of file XrdSsiAtomics.hh.

## Constructor & Destructor Documentation

## XrdSsiMutexMon() [1/2]

XrdSsiMutexMon::XrdSsiMutexMon | ( | XrdSsiMutex * | mutex = 0 | ) |

inline

Definition at line 166 of file XrdSsiAtomics.hh.

{if (mutex) mutex->Lock();
mtx = mutex;
}
XrdSsiMutex::Lock
void Lock()
Definition XrdSsiAtomics.hh:115

## XrdSsiMutexMon() [2/2]

XrdSsiMutexMon::XrdSsiMutexMon | ( | XrdSsiMutex & | mutex | ) |

inline

Definition at line 170 of file XrdSsiAtomics.hh.

{mutex.Lock();
mtx = &mutex;
}

References XrdSsiMutex::Lock().

Here is the call graph for this function:

## ~XrdSsiMutexMon()

XrdSsiMutexMon::~XrdSsiMutexMon | ( |  | ) |

inline

Definition at line 175 of file XrdSsiAtomics.hh.

{if (mtx) UnLock();}
XrdSsiMutexMon::UnLock
void UnLock()
Definition XrdSsiAtomics.hh:164

References UnLock().

Here is the call graph for this function:

## Member Function Documentation

## Lock() [1/2]

void XrdSsiMutexMon::Lock | ( | XrdSsiMutex & | mutex | ) |

inline

Definition at line 160 of file XrdSsiAtomics.hh.

{Lock(&mutex);}
XrdSsiMutexMon::Lock
void Lock(XrdSsiMutex *mutex)
Definition XrdSsiAtomics.hh:152

References Lock().

Referenced by Lock().

Here is the call graph for this function:
Here is the caller graph for this function:

## Lock() [2/2]

void XrdSsiMutexMon::Lock | ( | XrdSsiMutex * | mutex | ) |

inline

Definition at line 152 of file XrdSsiAtomics.hh.

{if (mtx) {if (mtx != mutex) mtx->UnLock();
else return;
}
mutex->Lock();
mtx = mutex;
};

References XrdSsiMutex::Lock().

Referenced by XrdSsiRRTable< T >::DelFinalize(), XrdSsiFileReq::Finalize(), XrdSsiRRTable< T >::Reset(), and XrdSsiFileReq::WantResponse().

Here is the call graph for this function:
Here is the caller graph for this function:

## Reset()

void XrdSsiMutexMon::Reset | ( |  | ) |

inline

Definition at line 162 of file XrdSsiAtomics.hh.

{mtx = 0;}

Referenced by XrdSsiTaskReal::XeqEvent().

Here is the caller graph for this function:

## UnLock()

void XrdSsiMutexMon::UnLock | ( |  | ) |

inline

Definition at line 164 of file XrdSsiAtomics.hh.

{if (mtx) {mtx->UnLock(); mtx = 0;}}

Referenced by ~XrdSsiMutexMon(), XrdSsiRRTable< T >::DelFinalize(), XrdSsiFileReq::Finalize(), and XrdSsiRRTable< T >::Reset().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdSsiAtomics.hh